Send SMS (US)
curl --request POST \
--url https://api.withallo.com/v1/api/sms \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "+1234567890",
"to": "+0987654321",
"message": "Hello, this is a test message"
}
'import requests
url = "https://api.withallo.com/v1/api/sms"
payload = {
"from": "+1234567890",
"to": "+0987654321",
"message": "Hello, this is a test message"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '+1234567890',
to: '+0987654321',
message: 'Hello, this is a test message'
})
};
fetch('https://api.withallo.com/v1/api/sms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"from_number": "+1234567890",
"sender_id": null,
"to_number": "+0987654321",
"type": "OUTBOUND",
"content": "Hello, this is a test message",
"start_date": "2024-01-15T10:30:00"
}
}
SMS
Envoyer un SMS
Send an SMS message to a US phone number using one of your Allo phone numbers. The recipient must be in the same country as your Allo number.
POST
/
v1
/
api
/
sms
Send SMS (US)
Cet endpoint permet d’envoyer des SMS depuis des numeros de telephone Allo americains. Pour envoyer des SMS en France, consultez Envoyer un SMS (France).
Autorisations
Scope needed: SMS_SEND
Corps
application/json
Request body for sending an SMS message (US)
Réponse
SMS sent successfully
Standard response wrapper for sent SMS
Sent SMS message details
Show child attributes
Show child attributes
Cette page vous a-t-elle été utile ?
⌘I